Skip to main content
POST
Resolve Approval

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

approval_id
string
required

Body

application/json

Request body for resolving (approve/reject) an approval.

status
string
required
Pattern: ^(approved|rejected)$
resolved_by
string | null
Maximum string length: 255
resolution_data
Resolution Data · object | null

Response

Successful Response

Response model for a single approval.

id
string
required
run_id
string
required
session_id
string
required
status
string
required
source_type
string
required
approval_type
string | null
pause_type
string | null
tool_name
string | null
tool_args
Tool Args · object | null
expires_at
integer | null
agent_id
string | null
team_id
string | null
workflow_id
string | null
user_id
string | null
schedule_id
string | null
schedule_run_id
string | null
source_name
string | null
requirements
Requirements · object[] | null
context
Context · object | null
resolution_data
Resolution Data · object | null
resolved_by
string | null
resolved_at
integer | null
created_at
integer | null
updated_at
integer | null
run_status
enum<string> | null

State of the main run response

Available options:
PENDING,
RUNNING,
COMPLETED,
PAUSED,
CANCELLED,
ERROR